<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HashDatabase..::.PutNoDuplicate Method (DatabaseEntry, DatabaseEntry)
HashDatabase Class See Also Send Feedback

Store the key/data pair in the database only if it does not already appear in the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public void PutNoDuplicate(
    	DatabaseEntry key,
    	DatabaseEntry data
    )

Visual Basic (Declaration)

    Public Sub PutNoDuplicate ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry _
    )

Visual C++

    public:
    void PutNoDuplicate(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key to store in the database

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data item to store in the database

# See Also

HashDatabase Class
PutNoDuplicate Overload
BerkeleyDB Namespace